TJBENCH(1)

NAME
tjbench - benchmark the performance of libjpeg-turbo

USAGE
tjbench <Inputfile (BMP|PPM)> <Quality> [options]

tjbench <Inputfile (JPG)> [options]

OPTIONS
-alloc

    Dynamically allocate JPEG image buffers

-bmp

    Generate output images in Windows Bitmap format (default=PPM)

-bottomup

    Test bottom-up compression/decompression

-tile

    Test performance of the codec when the image is encoded as separate tiles of varying sizes.

-forcemmx, -forcesse, -forcesse2, -forcesse3

    Force MMX, SSE, SSE2, or SSE3 code paths in the underlying codec

-rgb, -bgr, -rgbx, -bgrx, -xbgr, -xrgb

    Test the specified color conversion path in the codec (default: BGR)

-fastupsample

    Use the fastest chrominance upsampling algorithm available in the underlying codec

-fastdct

    Use the fastest DCT/IDCT algorithms available in the underlying codec

-accuratedct

     Use the most accurate DCT/IDCT algorithms available in the underlying codec

-subsamp <s>

    When testing JPEG compression, this option specifies the level of chrominance subsampling to use (<s> = 444, 422, 440, 420, or GRAY). The default is to test Grayscale, 4:2:0, 4:2:2, and 4:4:4 in sequence.

-quiet

    Output results in tabular rather than verbose format

-yuvencode

    Encode RGB input as planar YUV rather than compressing as JPEG

-yuvdecode

    Decode JPEG image to planar YUV rather than RGB

-scale M/N

    scale down the width/height of the decompressed JPEG image by a factor of M/N (M/N = 2/1, 15/8, 7/4, 13/8, 3/2, 11/8, 5/4, 9/8, 1/1, 7/8, 3/4, 5/8, 1/2, 3/8, 1/4, or 1/8)

-hflip, -vflip, -transpose, -transverse, -rot90, -rot180, -rot270

    Perform the corresponding lossless transform prior to decompression (these options are mutually exclusive)

-grayscale

    Perform lossless grayscale conversion prior to decompression test (can be combined with the other transforms above)

-benchtime <t>

    Run each benchmark for at least <t> seconds (default = 5.0)

    NOTE: If the quality is specified as a range (e.g. 90-100), a separate test will be performed for all quality values in the range.